curl --request PATCH \
--url https://staging.housera.ro/api/v1/listings/{code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": true,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": true,
"utilities_included": true,
"accepts_trade": true,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": [
"<string>"
],
"materials": [
""
],
"flood_risk": true,
"underground_levels": [],
"parcel": [
[
123
]
],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": true,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": true,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": true,
"historical_monument": true,
"property_for_investment": true,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": [
"<string>"
],
"pet_friendly": true,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": [
"<string>"
],
"photo_meta": [
{
"floor": "<string>",
"rooms": [
"<string>"
]
}
],
"idempotency_key": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/listings/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'city' => '<string>',
'street' => '<string>',
'latitude' => 0,
'longitude' => 0,
'contact_name' => '<string>',
'contact_phone' => '<string>',
'contact_email' => 'jsmith@example.com',
'content_locale' => '<string>',
'county' => '<string>',
'country' => '<string>',
'area' => '<string>',
'address' => '<string>',
'street_number' => '<string>',
'street_manual' => true,
'landmark' => '<string>',
'rooms' => 20,
'bedrooms' => 15,
'bathrooms' => 250,
'floor' => '<string>',
'total_floors' => 30,
'usable_area_sqm' => 250000.5,
'built_area_sqm' => 250000.5,
'land_area_sqm' => 5000000.5,
'year_built' => 1514,
'price' => 500000000000,
'price_currency' => '<string>',
'deposit_months' => 1,
'deposit_amount' => 500000000000,
'no_commission' => true,
'utilities_included' => true,
'accepts_trade' => true,
'trade_accepts' => [
],
'trade_other' => '<string>',
'heating_types' => [
'<string>'
],
'materials' => [
''
],
'flood_risk' => true,
'underground_levels' => [
],
'parcel' => [
[
123
]
],
'land_frontage' => 5000,
'pot' => 50,
'cut' => 10,
'clearance_height' => 50,
'power_capacity' => 50000,
'floor_load_capacity' => 50000,
'dock_doors_count' => 250,
'orientations' => [
],
'parking_spots' => 2500,
'balconies' => 10,
'terraces' => 10,
'kitchens' => 25,
'garages' => 25,
'lifts' => 25,
'underground_floors' => 5,
'interior_height' => 50,
'renovated_year' => 1514,
'apartments_count' => 2500,
'energy_consumption' => 2500,
'energy_renewable' => 2500,
'emission_index' => 500,
'shopfront_width' => 500,
'occupancy_rate' => 50,
'maintenance_cost' => 50000,
'upfront_cost' => 500000000,
'upfront_percent' => 99,
'parking_surface_cost' => 500000,
'parking_underground_cost' => 500000,
'surface_total' => 500000,
'surface_balconies' => 500000,
'surface_terrace' => 500000,
'surface_yard' => 500000,
'surface_office' => 500000,
'surface_office_available' => 500000,
'surface_office_minimum' => 500000,
'surface_production' => 500000,
'surface_storage' => 500000,
'footprint' => 500000,
'street_openings' => 10,
'openings_length' => 5000,
'access_road_width' => 50,
'utilities_distance' => 50000,
'construction_on_land' => true,
'land_utr' => '<string>',
'land_height_max' => 250,
'land_width' => 50000,
'land_length' => 50000,
'surface_display' => 500000,
'finishing' => '<string>',
'technical_details' => '<string>',
'nearby' => '<string>',
'available_from_note' => '<string>',
'commission_note' => '<string>',
'commission_percent' => 10,
'commission_vat' => true,
'available_from' => '2023-12-25',
'retired_floors' => 25,
'lockers_count' => 500,
'negotiable' => true,
'historical_monument' => true,
'property_for_investment' => true,
'delivery_quarter' => 2,
'delivery_year' => 2018,
'sections_count' => 20,
'reg_s' => 10,
'reg_d' => 0,
'reg_p' => 0,
'reg_e' => 100,
'phases_count' => 10,
'unit_types' => [
[
'label' => '<string>',
'floors' => '<string>',
'area_sqm' => 5000.5,
'area_sqm_to' => 5000.5,
'units_count' => 5000,
'price_from' => 500000000,
'rooms' => 10
]
],
'features' => [
'<string>'
],
'pet_friendly' => true,
'media_links' => [
'video' => '<string>',
'tour' => '<string>',
'plan' => '<string>'
],
'photo_keys' => [
'<string>'
],
'photo_meta' => [
[
'floor' => '<string>',
'rooms' => [
'<string>'
]
]
],
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
city: '<string>',
street: '<string>',
latitude: 0,
longitude: 0,
contact_name: '<string>',
contact_phone: '<string>',
contact_email: 'jsmith@example.com',
content_locale: '<string>',
county: '<string>',
country: '<string>',
area: '<string>',
address: '<string>',
street_number: '<string>',
street_manual: true,
landmark: '<string>',
rooms: 20,
bedrooms: 15,
bathrooms: 250,
floor: '<string>',
total_floors: 30,
usable_area_sqm: 250000.5,
built_area_sqm: 250000.5,
land_area_sqm: 5000000.5,
year_built: 1514,
price: 500000000000,
price_currency: '<string>',
deposit_months: 1,
deposit_amount: 500000000000,
no_commission: true,
utilities_included: true,
accepts_trade: true,
trade_accepts: [],
trade_other: '<string>',
heating_types: ['<string>'],
materials: [''],
flood_risk: true,
underground_levels: [],
parcel: [[123]],
land_frontage: 5000,
pot: 50,
cut: 10,
clearance_height: 50,
power_capacity: 50000,
floor_load_capacity: 50000,
dock_doors_count: 250,
orientations: [],
parking_spots: 2500,
balconies: 10,
terraces: 10,
kitchens: 25,
garages: 25,
lifts: 25,
underground_floors: 5,
interior_height: 50,
renovated_year: 1514,
apartments_count: 2500,
energy_consumption: 2500,
energy_renewable: 2500,
emission_index: 500,
shopfront_width: 500,
occupancy_rate: 50,
maintenance_cost: 50000,
upfront_cost: 500000000,
upfront_percent: 99,
parking_surface_cost: 500000,
parking_underground_cost: 500000,
surface_total: 500000,
surface_balconies: 500000,
surface_terrace: 500000,
surface_yard: 500000,
surface_office: 500000,
surface_office_available: 500000,
surface_office_minimum: 500000,
surface_production: 500000,
surface_storage: 500000,
footprint: 500000,
street_openings: 10,
openings_length: 5000,
access_road_width: 50,
utilities_distance: 50000,
construction_on_land: true,
land_utr: '<string>',
land_height_max: 250,
land_width: 50000,
land_length: 50000,
surface_display: 500000,
finishing: '<string>',
technical_details: '<string>',
nearby: '<string>',
available_from_note: '<string>',
commission_note: '<string>',
commission_percent: 10,
commission_vat: true,
available_from: '2023-12-25',
retired_floors: 25,
lockers_count: 500,
negotiable: true,
historical_monument: true,
property_for_investment: true,
delivery_quarter: 2,
delivery_year: 2018,
sections_count: 20,
reg_s: 10,
reg_d: 0,
reg_p: 0,
reg_e: 100,
phases_count: 10,
unit_types: [
{
label: '<string>',
floors: '<string>',
area_sqm: 5000.5,
area_sqm_to: 5000.5,
units_count: 5000,
price_from: 500000000,
rooms: 10
}
],
features: ['<string>'],
pet_friendly: true,
media_links: {video: '<string>', tour: '<string>', plan: '<string>'},
photo_keys: ['<string>'],
photo_meta: [{floor: '<string>', rooms: ['<string>']}],
idempotency_key: '<string>'
})
};
fetch('https://staging.housera.ro/api/v1/listings/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/listings/{code}"
payload = {
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": True,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": True,
"utilities_included": True,
"accepts_trade": True,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": ["<string>"],
"materials": [""],
"flood_risk": True,
"underground_levels": [],
"parcel": [[123]],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": True,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": True,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": True,
"historical_monument": True,
"property_for_investment": True,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": ["<string>"],
"pet_friendly": True,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": ["<string>"],
"photo_meta": [
{
"floor": "<string>",
"rooms": ["<string>"]
}
],
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Editează un anunț
JSON Merge Patch: câmpurile trimise înlocuiesc valorile, null golește un câmp, restul rămân. Un anunț încă nepublic se modifică direct (200); unul activ își trimite editarea la moderare (202). Cu If-Match vechi primești 412.
curl --request PATCH \
--url https://staging.housera.ro/api/v1/listings/{code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": true,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": true,
"utilities_included": true,
"accepts_trade": true,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": [
"<string>"
],
"materials": [
""
],
"flood_risk": true,
"underground_levels": [],
"parcel": [
[
123
]
],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": true,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": true,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": true,
"historical_monument": true,
"property_for_investment": true,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": [
"<string>"
],
"pet_friendly": true,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": [
"<string>"
],
"photo_meta": [
{
"floor": "<string>",
"rooms": [
"<string>"
]
}
],
"idempotency_key": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/listings/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'city' => '<string>',
'street' => '<string>',
'latitude' => 0,
'longitude' => 0,
'contact_name' => '<string>',
'contact_phone' => '<string>',
'contact_email' => 'jsmith@example.com',
'content_locale' => '<string>',
'county' => '<string>',
'country' => '<string>',
'area' => '<string>',
'address' => '<string>',
'street_number' => '<string>',
'street_manual' => true,
'landmark' => '<string>',
'rooms' => 20,
'bedrooms' => 15,
'bathrooms' => 250,
'floor' => '<string>',
'total_floors' => 30,
'usable_area_sqm' => 250000.5,
'built_area_sqm' => 250000.5,
'land_area_sqm' => 5000000.5,
'year_built' => 1514,
'price' => 500000000000,
'price_currency' => '<string>',
'deposit_months' => 1,
'deposit_amount' => 500000000000,
'no_commission' => true,
'utilities_included' => true,
'accepts_trade' => true,
'trade_accepts' => [
],
'trade_other' => '<string>',
'heating_types' => [
'<string>'
],
'materials' => [
''
],
'flood_risk' => true,
'underground_levels' => [
],
'parcel' => [
[
123
]
],
'land_frontage' => 5000,
'pot' => 50,
'cut' => 10,
'clearance_height' => 50,
'power_capacity' => 50000,
'floor_load_capacity' => 50000,
'dock_doors_count' => 250,
'orientations' => [
],
'parking_spots' => 2500,
'balconies' => 10,
'terraces' => 10,
'kitchens' => 25,
'garages' => 25,
'lifts' => 25,
'underground_floors' => 5,
'interior_height' => 50,
'renovated_year' => 1514,
'apartments_count' => 2500,
'energy_consumption' => 2500,
'energy_renewable' => 2500,
'emission_index' => 500,
'shopfront_width' => 500,
'occupancy_rate' => 50,
'maintenance_cost' => 50000,
'upfront_cost' => 500000000,
'upfront_percent' => 99,
'parking_surface_cost' => 500000,
'parking_underground_cost' => 500000,
'surface_total' => 500000,
'surface_balconies' => 500000,
'surface_terrace' => 500000,
'surface_yard' => 500000,
'surface_office' => 500000,
'surface_office_available' => 500000,
'surface_office_minimum' => 500000,
'surface_production' => 500000,
'surface_storage' => 500000,
'footprint' => 500000,
'street_openings' => 10,
'openings_length' => 5000,
'access_road_width' => 50,
'utilities_distance' => 50000,
'construction_on_land' => true,
'land_utr' => '<string>',
'land_height_max' => 250,
'land_width' => 50000,
'land_length' => 50000,
'surface_display' => 500000,
'finishing' => '<string>',
'technical_details' => '<string>',
'nearby' => '<string>',
'available_from_note' => '<string>',
'commission_note' => '<string>',
'commission_percent' => 10,
'commission_vat' => true,
'available_from' => '2023-12-25',
'retired_floors' => 25,
'lockers_count' => 500,
'negotiable' => true,
'historical_monument' => true,
'property_for_investment' => true,
'delivery_quarter' => 2,
'delivery_year' => 2018,
'sections_count' => 20,
'reg_s' => 10,
'reg_d' => 0,
'reg_p' => 0,
'reg_e' => 100,
'phases_count' => 10,
'unit_types' => [
[
'label' => '<string>',
'floors' => '<string>',
'area_sqm' => 5000.5,
'area_sqm_to' => 5000.5,
'units_count' => 5000,
'price_from' => 500000000,
'rooms' => 10
]
],
'features' => [
'<string>'
],
'pet_friendly' => true,
'media_links' => [
'video' => '<string>',
'tour' => '<string>',
'plan' => '<string>'
],
'photo_keys' => [
'<string>'
],
'photo_meta' => [
[
'floor' => '<string>',
'rooms' => [
'<string>'
]
]
],
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
city: '<string>',
street: '<string>',
latitude: 0,
longitude: 0,
contact_name: '<string>',
contact_phone: '<string>',
contact_email: 'jsmith@example.com',
content_locale: '<string>',
county: '<string>',
country: '<string>',
area: '<string>',
address: '<string>',
street_number: '<string>',
street_manual: true,
landmark: '<string>',
rooms: 20,
bedrooms: 15,
bathrooms: 250,
floor: '<string>',
total_floors: 30,
usable_area_sqm: 250000.5,
built_area_sqm: 250000.5,
land_area_sqm: 5000000.5,
year_built: 1514,
price: 500000000000,
price_currency: '<string>',
deposit_months: 1,
deposit_amount: 500000000000,
no_commission: true,
utilities_included: true,
accepts_trade: true,
trade_accepts: [],
trade_other: '<string>',
heating_types: ['<string>'],
materials: [''],
flood_risk: true,
underground_levels: [],
parcel: [[123]],
land_frontage: 5000,
pot: 50,
cut: 10,
clearance_height: 50,
power_capacity: 50000,
floor_load_capacity: 50000,
dock_doors_count: 250,
orientations: [],
parking_spots: 2500,
balconies: 10,
terraces: 10,
kitchens: 25,
garages: 25,
lifts: 25,
underground_floors: 5,
interior_height: 50,
renovated_year: 1514,
apartments_count: 2500,
energy_consumption: 2500,
energy_renewable: 2500,
emission_index: 500,
shopfront_width: 500,
occupancy_rate: 50,
maintenance_cost: 50000,
upfront_cost: 500000000,
upfront_percent: 99,
parking_surface_cost: 500000,
parking_underground_cost: 500000,
surface_total: 500000,
surface_balconies: 500000,
surface_terrace: 500000,
surface_yard: 500000,
surface_office: 500000,
surface_office_available: 500000,
surface_office_minimum: 500000,
surface_production: 500000,
surface_storage: 500000,
footprint: 500000,
street_openings: 10,
openings_length: 5000,
access_road_width: 50,
utilities_distance: 50000,
construction_on_land: true,
land_utr: '<string>',
land_height_max: 250,
land_width: 50000,
land_length: 50000,
surface_display: 500000,
finishing: '<string>',
technical_details: '<string>',
nearby: '<string>',
available_from_note: '<string>',
commission_note: '<string>',
commission_percent: 10,
commission_vat: true,
available_from: '2023-12-25',
retired_floors: 25,
lockers_count: 500,
negotiable: true,
historical_monument: true,
property_for_investment: true,
delivery_quarter: 2,
delivery_year: 2018,
sections_count: 20,
reg_s: 10,
reg_d: 0,
reg_p: 0,
reg_e: 100,
phases_count: 10,
unit_types: [
{
label: '<string>',
floors: '<string>',
area_sqm: 5000.5,
area_sqm_to: 5000.5,
units_count: 5000,
price_from: 500000000,
rooms: 10
}
],
features: ['<string>'],
pet_friendly: true,
media_links: {video: '<string>', tour: '<string>', plan: '<string>'},
photo_keys: ['<string>'],
photo_meta: [{floor: '<string>', rooms: ['<string>']}],
idempotency_key: '<string>'
})
};
fetch('https://staging.housera.ro/api/v1/listings/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/listings/{code}"
payload = {
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": True,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": True,
"utilities_included": True,
"accepts_trade": True,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": ["<string>"],
"materials": [""],
"flood_risk": True,
"underground_levels": [],
"parcel": [[123]],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": True,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": True,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": True,
"historical_monument": True,
"property_for_investment": True,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": ["<string>"],
"pet_friendly": True,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": ["<string>"],
"photo_meta": [
{
"floor": "<string>",
"rooms": ["<string>"]
}
],
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Autorizări
Authorization: Bearer
Parametri cale
Codul public al anunțului (8 caractere, ca în adresa lui de pe Housera).
Corp
Tipul proprietății.
apartment, house, room, complex, land, commercial, warehouse, garage, hospitality, special Tipul tranzacției.
sale, rent Titlul.
10 - 90Descrierea.
30 - 5000Localitatea.
120Strada.
255Latitudinea.
-90 <= x <= 90Longitudinea.
-180 <= x <= 180Numele de contact.
255Telefonul de contact.
25Emailul de contact.
255Subtipul.
, null Limba titlului și a descrierii (ISO 639-1, de exemplu ro).
^[a-zA-Z]{2}$Județul.
120Țara.
Zona.
120Adresa.
255Numărul.
32Proveniența străzii.
Reperul.
120Numărul de camere.
1 <= x <= 40Numărul de dormitoare.
0 <= x <= 30Numărul de băi.
0 <= x <= 500Etajul.
Numărul total de etaje.
0 <= x <= 60Suprafața utilă.
1 <= x <= 500000Suprafața construită.
1 <= x <= 500000Suprafața terenului.
1 <= x <= 10000000Anul construcției.
1000 <= x <= 2029Prețul.
1 <= x <= 1000000000000Moneda prețului trimis, cod ISO 4217 (EUR, RON sau altă monedă din cursul de referință; lista e în /schema). Căutarea compară prețul convertit în euro.
^[A-Z]{3}$Numărul de luni de garanție.
0 <= x <= 3Garanția cerută, în moneda prețului.
0 <= x <= 1000000000000Fără comision.
Utilitățile incluse.
Acceptarea schimbului.
Ce se acceptă la schimb.
4similar_property, other_type, vehicle, other Alt tip de schimb.
120Diferența de preț la schimb.
none, owner_pays, owner_gets, both Tipurile de încălzire.
1232Starea.
new, renovated, good, needs_renovation, to_demolish Mobilarea.
furnished, partially_furnished, unfurnished Certificatul energetic.
a_plus, a0, a, b, c, d, e, f, g Situația certificatului energetic: available (există), preliminary (în curs de emitere) sau exempt (clădirea e scutită).
available, preliminary, exempt Materialele construcției.
2 Ferestrele.
pvc_thermal, triple_glazing, wood_thermal, aluminium, classic_wood Acoperișul.
tile, metal, terrace, shingle Accesul.
asphalt, gravel, dirt, private Mansarda.
attic, roof_space, none Riscul de inundație.
Numărul de niveluri subterane.
2semi_basement, basement Parcela.
3 - 500 elements2 elementsClasificarea terenului.
inside_built_up_area, outside_built_up_area Deschiderea la stradă.
1 <= x <= 10000Certificatul de urbanism.
0 <= x <= 100Compartimentarea.
0 <= x <= 20Înălțimea liberă.
0 <= x <= 100Puterea electrică.
1 <= x <= 100000Sarcina pe pardoseală.
1 <= x <= 100000Numărul de rampe.
0 <= x <= 500Tipul clădirii.
apartment_block, house, studio_block, mixed Stadiul construcției.
finished, semi_finished, under_construction, grey, red, structure, project Confortul.
first, second, third, luxury Orientările (până la 4).
4north, north_east, east, south_east, south, south_west, west, north_west Riscul seismic.
emergency, class_1, class_2, class_3 Deschiderea la drum.
street, main_road, national_road, highway, ring_road, lake, forest, easement Traficul pietonal.
heavy, moderate, none Numărul de locuri de parcare.
0 <= x <= 5000Numărul de balcoane.
0 <= x <= 20Numărul de terase.
0 <= x <= 20Numărul de bucătării.
0 <= x <= 50Numărul de garaje.
0 <= x <= 50Numărul de lifturi.
0 <= x <= 50Numărul de niveluri subterane.
0 <= x <= 10Înălțimea interioară.
0 <= x <= 100Anul renovării.
1000 <= x <= 2029Numărul de apartamente.
1 <= x <= 5000Consumul de energie.
0 <= x <= 5000Consumul din surse regenerabile.
0 <= x <= 5000Indicele de emisii.
0 <= x <= 1000Vitrina.
0 <= x <= 1000Gradul de ocupare.
0 <= x <= 100Întreținerea.
0 <= x <= 100000Avansul.
0 <= x <= 1000000000Avansul în procente.
x <= 100Costul locului de parcare la suprafață.
0 <= x <= 1000000Costul locului de parcare subteran.
0 <= x <= 1000000Suprafața totală.
0 <= x <= 1000000Suprafața balcoanelor.
0 <= x <= 1000000Suprafața terasei.
0 <= x <= 1000000Suprafața curții.
0 <= x <= 1000000Suprafața totală de birouri.
0 <= x <= 1000000Suprafața maximă disponibilă.
0 <= x <= 1000000Suprafața minimă închiriabilă.
0 <= x <= 1000000Suprafața de producție.
0 <= x <= 1000000Suprafața de depozitare.
0 <= x <= 1000000Amprenta la sol.
0 <= x <= 1000000Numărul de fronturi stradale.
0 <= x <= 20Deschiderea.
0 <= x <= 10000Lățimea drumului de acces.
0 <= x <= 100Distanța față de utilități.
0 <= x <= 100000Construcția pe teren.
UTR-ul.
40Înălțimea maximă admisă.
0 <= x <= 500Lățimea terenului.
0 <= x <= 100000Lungimea terenului.
0 <= x <= 100000Suprafața de expunere.
0 <= x <= 1000000Finisajele.
5000Detaliile tehnice.
5000Vecinătățile.
5000Disponibilitatea.
60Comisionul cerut.
60Procentul comisionului.
0 <= x <= 20TVA-ul la comision.
TVA-ul la preț.
included, plus, none Data disponibilității.
Numărul de etaje retrase.
0 <= x <= 50Numărul de vestiare.
0 <= x <= 1000Prețul negociabil.
Monumentul istoric.
Potrivirea pentru investiție.
Poziția garajului.
underground, aboveground Tipul de baie.
private, shared Preferința de coleg de cameră.
any, female, male Clasa spațiului.
a, b, c Compartimentarea spațiului.
open_space, separate_offices, railroad, flexible Compartimentarea.
detached, semi_detached, undetached, circular, railroad, unknown Tipul de ansamblu.
blocks, houses, offices Stadiul proiectului.
under_construction, finished, mixed Trimestrul de predare.
1 <= x <= 4Anul predării.
2000 <= x <= 2036Numărul de tronsoane.
1 <= x <= 40Regimul de înălțime (S).
0 <= x <= 20Regimul de înălțime (D).
0 <= x <= 1Regimul de înălțime (P).
0 <= x <= 1Regimul de înălțime (E).
0 <= x <= 200Nivelul superior.
none, attic, roof_space Numărul de faze.
1 <= x <= 20Regimul casei.
ground, ground_plus_1, ground_plus_1_attic, ground_plus_2 Tipurile de unități.
50Show child attributes
Show child attributes
Caracteristicile.
32864Acceptarea animalelor.
Legăturile media ale anunțului.
Show child attributes
Show child attributes
Cheile fotografiilor.
100255Datele fotografiilor.
100Show child attributes
Show child attributes
Cheia de idempotență.
64Calitatea de contact.
owner, agent, developer Răspuns
Reușit.